OpenVDB: Timer Class Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
Timer Class Reference

`#include <nanovdb/util/Timer.h>`

## Public Member Functions
| Timer ()
| Default constructor.
| Timer (const std::string &msg, std::ostream &os=std::cerr)
| Constructor that starts the timer.
void | start (const std::string &msg, std::ostream &os=std::cerr)
| Start the timer.
void | record ()
| Record the stop time so the elapsed time since start can be computed.
float | milliseconds () const
| Returns the time in milliseconds since record was called.
template<typename AccuracyT = std::chrono::milliseconds>
auto | elapsed ()
| call record and return the elapsed time (since start) in miliseconds
template<typename AccuracyT = std::chrono::milliseconds>
void | stop (std::ostream &os=std::cerr)
| stop the timer and print elapsed time to a stream
template<typename AccuracyT = std::chrono::milliseconds>
void | restart (const std::string &msg, std::ostream &os=std::cerr)
| stop and start the timer again

## Constructor & Destructor Documentation

## ◆ Timer() [1/2]

Timer | ( |  | ) |
| inline

Default constructor.

## ◆ Timer() [2/2]

Timer | ( | const std::string & | msg,
|  | std::ostream & | os = std::cerr )
| inline

Constructor that starts the timer.

Parameters

  msg | string message to be printed when timer is started
  os | output stream for the message above

## Member Function Documentation

## ◆ elapsed()

template<typename AccuracyT = std::chrono::milliseconds>

auto elapsed | ( |  | ) |
| inline

call record and return the elapsed time (since start) in miliseconds

## ◆ milliseconds()

float milliseconds | ( |  | ) | const
| inline

Returns the time in milliseconds since record was called.

## ◆ record()

void record | ( |  | ) |
| inline

Record the stop time so the elapsed time since start can be computed.

## ◆ restart()

template<typename AccuracyT = std::chrono::milliseconds>

void restart | ( | const std::string & | msg,
|  | std::ostream & | os = std::cerr )
| inline

stop and start the timer again

Template Parameters

  AccuracyT | Template parameter defining the accuracy of the reported times

Parameters

  msg | string message to be printed when timer is started
  os | output stream for the message above

## ◆ start()

void start | ( | const std::string & | msg,
|  | std::ostream & | os = std::cerr )
| inline

Start the timer.

Parameters

  msg | string message to be printed when timer is started
  os | output stream for the message above

## ◆ stop()

template<typename AccuracyT = std::chrono::milliseconds>

void stop | ( | std::ostream & | os = std::cerr | ) |
| inline

stop the timer and print elapsed time to a stream

Template Parameters

  AccuracyT | Template parameter defining the accuracy of the reported times

Parameters

  os | output stream for the message above